signon 8.54

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Slots | Public Member Functions | List of all members
SsoTest2PluginNS::SsoTest2Plugin Class Reference

`#include <ssotest2plugin.h>`

Inheritance diagram for SsoTest2PluginNS::SsoTest2Plugin:
[legend]
Collaboration diagram for SsoTest2PluginNS::SsoTest2Plugin:
[legend]

## Public Slots
QString | type () const
QStringList | mechanisms () const
void | cancel ()
void | process (const SignOn::SessionData &inData, const QString &mechanism=0)
void | userActionFinished (const SignOn::UiSessionData &data)
void | refresh (const SignOn::UiSessionData &data)

## Public Member Functions
| SsoTest2Plugin (QObject *parent=0)
virtual | ~SsoTest2Plugin ()

## Detailed Description

Definition at line 33 of file ssotest2plugin.h.

## Constructor & Destructor Documentation

SsoTest2PluginNS::SsoTest2Plugin::SsoTest2Plugin | ( | QObject * | parent = `0` | ) |

Definition at line 44 of file ssotest2plugin.cpp.

References TRACE.

SsoTest2PluginNS::SsoTest2Plugin::~SsoTest2Plugin | ( |  | ) |
| virtual

Definition at line 57 of file ssotest2plugin.cpp.

## Member Function Documentation

void SsoTest2PluginNS::SsoTest2Plugin::cancel | ( |  | ) |
| slot

Definition at line 62 of file ssotest2plugin.cpp.

References TRACE.

QStringList SsoTest2PluginNS::SsoTest2Plugin::mechanisms | ( |  | ) | const
| inline slot

Definition at line 43 of file ssotest2plugin.h.

Referenced by process().

void SsoTest2PluginNS::SsoTest2Plugin::process | ( | const SignOn::SessionData & | inData,
|  | const QString & | mechanism = `0`
| ) |  |
| slot

Definition at line 73 of file ssotest2plugin.cpp.

References mechanisms().

void SsoTest2PluginNS::SsoTest2Plugin::refresh | ( | const SignOn::UiSessionData & | data | ) |
| slot

Definition at line 225 of file ssotest2plugin.cpp.

References TRACE.

QString SsoTest2PluginNS::SsoTest2Plugin::type | ( |  | ) | const
| inline slot

Definition at line 42 of file ssotest2plugin.h.

void SsoTest2PluginNS::SsoTest2Plugin::userActionFinished | ( | const SignOn::UiSessionData & | data | ) |
| slot

Definition at line 217 of file ssotest2plugin.cpp.

References TRACE.

The documentation for this class was generated from the following files:

- src/plugins/test/ssotest2plugin.h
- src/plugins/test/ssotest2plugin.cpp